%global __brp_check_rpaths %{nil}
%global packname  ADP
%global packver   0.1.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.6
Release:          1%{?dist}%{?buildtag}
Summary:          Adoption Probability, Triers and Users Rate of a New Product

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Calculate users prevalence of a product based on the prevalence of triers
in the population. The measurement of triers is relatively easy. It is
just a question of whether a person tried a product even once in his life
or not. On the other hand, The measurement of people who also adopt it as
part of their life is more complicated since adopting an innovative
product is a subjective view of the individual. Mickey Kislev and Shira
Kislev developed a formula to calculate the prevalence of a product's
users to overcome this difficulty. The current package assists in
calculating the users prevalence of a product based on the prevalence of
triers in the population. See for: Kislev, M. M., and S. Kislev (2020)
<doi:10.5539/ijms.v12n4p63>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
